Subject: WORMS

From: [email-masked] (Jim Mcnelly)
Date: Fri, 12 May 1995 10:34:00 +0600

Juan writes:
References: <[email-masked]> 

MR> I am culturing worms (E. foetida), and feeding fish with it. It is a
MR> good proteine source. On the other hand I've got pleanty of humus as
MR> a result of the worm culture, however I do not know how good it
MR> could be as an organic fertlizer? It is made of aquatic plants
MR> (Pistia stratiotes) and caw manure. Do somebody knows what to do
MR> with this stuff?

As a person who has been raising e.foetida for 22 years and with 
extensive experience marketing worm castings, I recommend using it as a 
potting soil amendment in rations from 20% to 33%. Of over 1,000 plant 
growth trials I am familiar with, no container plant tested did not 
benefit from the worm compost over conventional compost.

At studies at the Rothampstead research station in the 1980s conducted 
by Dr. Clive Edwards now at the Ohio State University, plant growth 
using worm castings was increased 20% to 200% over controls as measured 
by increased root mass, numbers of shoots, and size of plant.

You can also add it when planting shrubs, flowers, and trees, as well as 
using it in the garden around the active root zone. Some people market 
the product as a top dressing for house plants, but the benefits seem to 
be most pronounced when the castings are in the plant root zone.

Mr Compost~~~

Jim~ McNelly

Please note new E-mail address
[email-masked]

 * RM 1.3 02460 * Scotty, I need that power!

------------------============<>=============-----------------
   Granite City Connection (612) 654-8372 28.8K 3 Lines
   Email: [email-masked] (Jim Mcnelly)
------------------============<>=============-----------------